Package org.apache.sling.resourceresolver.impl.observation

# Class OsgiObservationBridge

java.lang.Object
org.apache.sling.resourceresolver.impl.observation.OsgiObservationBridge

All Implemented Interfaces:
  `org.apache.sling.api.resource.observation.ExternalResourceChangeListener`, `org.apache.sling.api.resource.observation.ResourceChangeListener`

public class OsgiObservationBridge extends Object implements org.apache.sling.api.resource.observation.ResourceChangeListener, org.apache.sling.api.resource.observation.ExternalResourceChangeListener

## Field Summary

### Fields inherited from interface org.apache.sling.api.resource.observation.ResourceChangeListener

`CHANGE_ADDED, CHANGE_CHANGED, CHANGE_PROVIDER_ADDED, CHANGE_PROVIDER_REMOVED, CHANGE_REMOVED, CHANGES, PATHS, PROPERTY_NAMES_HINT`

## Constructor Summary

Constructors
Constructor
Description
`OsgiObservationBridge()`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`activate()`
`protected void`
`deactivate()`
`void`
`onChange(List<org.apache.sling.api.resource.observation.ResourceChange> changes)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### OsgiObservationBridge

public OsgiObservationBridge()

## Method Details

### activate

protected void activate() throws org.apache.sling.api.resource.LoginException

Throws:
  `org.apache.sling.api.resource.LoginException`

### deactivate

protected void deactivate()

### onChange

public void onChange(List<org.apache.sling.api.resource.observation.ResourceChange> changes)

Specified by:
  `onChange` in interface `org.apache.sling.api.resource.observation.ResourceChangeListener`